<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://unpkg.com/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous">
    <link rel="stylesheet" href="./../static/main.css">
    <title>Create new Memory</title>
</head>
<body>
    <nav>
        <%- include("./partials/navbar", {isLoggedIn: true, isAdmin: (isAdmin ?? false)}); %>
    </nav>
    <main>
        <h1>Create a Memory </h1>
        <form id="memoryForm" action="/memory/create" method="POST" enctype="multipart/form-data"  class="pure-form pure-form-stacked">
            <label for="memoryTitle">Title</label>
            <input type="text" name="memoryTitle" id="memoryTitle" required>
            <label for="memoryDescription">Description</label>
            <textarea name="memoryDescription" id="memoryDescription" required></textarea>
            <% for (let i=1;i<=5;i++) { %>
            <div id=<%= "div"+i  %>>
                <label for="memoryImage" >Tile Image</label>
                <input type="file" name="memoryImage" id=<%= "memoryImage"+i %> required>
            </div>
            <% } %>
            <div>
                <button type="button" id="buttonAdd" onclick="addField()">Add Field</button>
                <button type="button" id="buttonRemove" onclick="removeField()" disabled>Remove Field</button>
            </div>
            <input type="submit" value="Create Memory">
        </form>
        <script src="../static/memoryCreation.js"></script>
    </main>
    <footer>
        <%- include("./partials/footer"); %>
    </footer>
</body>
</html>